org.springframework.batch.item

## Interface ItemWriter<T>

- All Known Subinterfaces:
    ItemStreamWriter<T>, ResourceAwareItemWriterItemStream<T>
  All Known Implementing Classes:
    AbstractItemStreamItemWriter, AmqpItemWriter, AsyncItemWriter, ChunkMessageChannelItemWriter, ClassifierCompositeItemWriter, CompositeItemWriter, CustomerCreditItemWriter, CustomerCreditUpdateWriter, CustomerUpdateWriter, CustomerUpdateWriter, DummyItemWriter, FlatFileItemWriter, GemfireItemWriter, HibernateAwareCustomerCreditItemWriter, HibernateItemWriter, IbatisBatchItemWriter, InfiniteLoopWriter, ItemWriterAdapter, ItemWriterAdapter, JdbcBatchItemWriter, JdbcGameDao, JdbcPlayerSummaryDao, JmsItemWriter, JpaItemWriter, KeyValueItemWriter, ListItemWriter, LoggingItemWriter, MimeMessageItemWriter, MongoItemWriter, MultiResourceItemWriter, Neo4jItemWriter, PersonWriter, PlayerItemWriter, PropertyExtractingDelegatingItemWriter, RepositoryItemWriter, RetrySampleItemWriter, SimpleMailMessageItemWriter, SpELMappingGemfireItemWriter, StagingItemWriter, StaxEventItemWriter, TradeWriter

      public interface ItemWriter<T>

  Basic interface for generic output operations. Class implementing this interface will be responsible for serializing objects as necessary. Generally, it is responsibility of implementing class to decide which technology to use for mapping and how it should be configured.

  The write method is responsible for making sure that any internal buffers are flushed. If a transaction is active it will also usually be necessary to discard the output on a subsequent rollback. The resource to which the writer is sending data should normally be able to handle this itself.

  Author:
    Dave Syer, Lucas Ward

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(java.util.List<? extends T> items)` Process the supplied data element.

- - ### Method Detail

    - #### write

          void write(java.util.List<? extends T> items)
              throws java.lang.Exception

      Process the supplied data element. Will not be called with any null items in normal operation.
      Parameters:
        `items` - items to be written
      Throws:
        `java.lang.Exception` - if there are errors. The framework will catch the exception and convert or rethrow it as appropriate.